#include <stand/stdio.h>
#include <stdarg.h>

static char buf[1024];

int fprintf(FILE *fd, const char *fmt, ...)
{
	va_list args;
	int i;

	va_start(args, fmt);
	i = vsprintf(buf, fmt, args);
	va_end(args);

        write(fd->fh, buf, i);
	return i;
}
